whoopsie does not upload UnreportableReason field in crash reports

Bug #1382233 reported by Brian Murray on 2014-10-16
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
whoopsie (Ubuntu)
High
Brian Murray
Trusty
High
Brian Murray
Vivid
High
Brian Murray
Wily
High
Brian Murray
whoopsie-daisy (Ubuntu)
Precise
High
Brian Murray

Bug Description

Test Case
---------
1) Edit a .crash file to have an UnreportableReason key and value e.g.
   UnreportableReason: Your system is weird.
2) sudo service whoopsie stop
3) start whoopsie pointing to errors.staging.ubuntu.com e.g.
   sudo CRASH_DB_URL=https://daisy.staging.ubuntu.com APPORT_REPORT_DIR=/var/crash/ whoopsie -f
4) Put said .crash file in /var/crash/
5) Put a corresponding .upload file in /var/crash/
6) Observe whoopsie uploading the .crash file from the whoopsie log
   [16:51:13] Reported OOPS ID 4ea43136-880e-11e5-828e-fa163e1893a8
7) go to errors.staging.ubuntu.com/oops/$OOPS_ID
8) verify the UnreportableReason appears there e.g.:
   https://errors.staging.ubuntu.com/oops/4ea43136-880e-11e5-828e-fa163e1893a8

In src/whoopsie.c we can see the following:

    /* We would only want this to see how many bugs would otherwise go
     * unreported: */
    "UnreportableReason",

The comment isn't exactly true. apport uses the UnreportableReason key to include the following information:

  "You have some obsolete package versions installed."

It'd be useful if this information was sent to the Error Tracker so that we can decide not to ask for a core dump from these crash reports. The "obsolete package versions" check is done by checking to see if the most recent available version of the package is installed, so if someone does not have -updates enabled then that pocket is not checked and "obsolete package versions" will not be present. This is desirable because the retracers will check to see if the package version is available from any pocket.

So if we send UnreportableReason to the Error Tracker we can stop asking for core dumps and retracing crashes that will fail to retrace.

However, the value for UnreportableReason is translated so this may not end up helping much.

Brian Murray (brian-murray) wrote :

An easy test case for the sending of UnreportableReason on a 14.04 system is downgrade multiarch-support to the version in the release pocket, while having -updates enabled, and then kill sleep. After the apport collection process is run you'll see the following in the report:

UnreportableReason:
 You have some obsolete package versions installed. Please upgrade the following packages and check if the problem still occurs:

 multiarch-support

Changed in whoopsie (Ubuntu):
importance: Undecided → Low
Brian Murray (brian-murray) wrote :

Even if we don't use UnreportableReason to filter it'd still be useful to know apport's opinion of the bug report. We regularly see crashes that failed to retrace and contain the following in the retracer log file.

2015-11-03 10:58:59,824:19470:140298671347456:INFO:root:d54a5d64-8219-11e5-be9c-fa163e339c81:swift:Processing.
2015-11-03 10:59:00,046:19470:140298671347456:INFO:root:d54a5d64-8219-11e5-be9c-fa163e339c81:swift:Decompressing to /tmp/tmpS8eT8N-swift.d54a5d64-8219-11e5-be9c-fa163e339c81.oopsid.core
2015-11-03 10:59:00,188:19470:140298671347456:INFO:root:d54a5d64-8219-11e5-be9c-fa163e339c81:swift:Not a core dump per gdb.

apport does some checking of the core dump itself and if gdb is installed would add information like the following to the report.

 699 reason = 'Invalid core dump: ' + warnings.strip()
 700 self['UnreportableReason'] = reason

Having UnreportableReason in the Error Tracker would help us determine, in this specific case, if the core dump was already corrupt on the client or became corrupt during upload / saving to swift.

It'd also likely be useful in other cases that we aren't yet aware of.

Changed in whoopsie (Ubuntu):
status: New → In Progress
importance: Low → High
assignee: nobody → Brian Murray (brian-murray)
Changed in whoopsie (Ubuntu Precise):
status: New → Triaged
Changed in whoopsie (Ubuntu Trusty):
status: New → Triaged
Changed in whoopsie (Ubuntu Vivid):
status: New → Triaged
Changed in whoopsie (Ubuntu Wily):
status: New → Triaged
Changed in whoopsie (Ubuntu Precise):
importance: Undecided → High
Changed in whoopsie (Ubuntu Trusty):
importance: Undecided → High
Changed in whoopsie (Ubuntu Vivid):
importance: Undecided → High
Changed in whoopsie (Ubuntu Wily):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package whoopsie - 0.2.50

---------------
whoopsie (0.2.50) xenial; urgency=medium

  * src/whoopsie.c: Move UnreportableReason from fields we don't send to
    errors to fields we do, that way we know apport's opinion of the crash.
    (LP: #1382233)

 -- Brian Murray <email address hidden> Tue, 03 Nov 2015 13:30:52 -0800

Changed in whoopsie (Ubuntu):
status: In Progress → Fix Released
Changed in whoopsie (Ubuntu Wily):
status: Triaged → In Progress
assignee: nobody → Brian Murray (brian-murray)
Changed in whoopsie (Ubuntu Vivid):
status: Triaged → In Progress
assignee: nobody → Brian Murray (brian-murray)
Changed in whoopsie (Ubuntu Trusty):
status: Triaged → In Progress
assignee: nobody → Brian Murray (brian-murray)
Changed in whoopsie (Ubuntu Precise):
status: Triaged → In Progress
assignee: nobody → Brian Murray (brian-murray)
description: updated

Hello Brian, or anyone else affected,

Accepted whoopsie into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/whoopsie/0.2.24.6ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in whoopsie (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in whoopsie (Ubuntu Vivid):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello Brian, or anyone else affected,

Accepted whoopsie into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/whoopsie/0.2.47.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in whoopsie (Ubuntu Wily):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello Brian, or anyone else affected,

Accepted whoopsie into wily-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/whoopsie/0.2.49.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Brian Murray (brian-murray) wrote :

Hello Brian, or anyone else affected,

Accepted whoopsie-daisy into precise-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/whoopsie-daisy/0.1.34.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in whoopsie (Ubuntu Precise):
status: In Progress → Invalid
Changed in whoopsie-daisy (Ubuntu Precise):
assignee: nobody → Brian Murray (brian-murray)
importance: Undecided → High
status: New → In Progress
Changed in whoopsie-daisy (Ubuntu Trusty):
status: New → Invalid
Changed in whoopsie-daisy (Ubuntu Precise):
status: In Progress → Fix Committed
Changed in whoopsie-daisy (Ubuntu Vivid):
status: New → Invalid
Changed in whoopsie-daisy (Ubuntu Wily):
status: New → Invalid
no longer affects: whoopsie-daisy (Ubuntu Wily)
no longer affects: whoopsie-daisy (Ubuntu Vivid)
no longer affects: whoopsie-daisy (Ubuntu Trusty)
no longer affects: whoopsie-daisy (Ubuntu)
Brian Murray (brian-murray) wrote :
tags: added: verification-done-vivid
Brian Murray (brian-murray) wrote :
tags: added: verification-done
removed: verification-done-vivid verification-needed
no longer affects: whoopsie (Ubuntu Precise)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package whoopsie - 0.2.47.1

---------------
whoopsie (0.2.47.1) vivid-proposed; urgency=medium

  * src/whoopsie.c: Move UnreportableReason from fields we don't send to
    errors to fields we do, that way we know apport's opinion of the crash.
    (LP: #1382233)

 -- Brian Murray <email address hidden> Mon, 09 Nov 2015 13:17:18 -0800

Changed in whoopsie (Ubuntu Vivid):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for whoopsie has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package whoopsie - 0.2.49.1

---------------
whoopsie (0.2.49.1) wily-proposed; urgency=medium

  * src/whoopsie.c: Move UnreportableReason from fields we don't send to
    errors to fields we do, that way we know apport's opinion of the crash.
    (LP: #1382233)

 -- Brian Murray <email address hidden> Mon, 09 Nov 2015 13:09:34 -0800

Changed in whoopsie (Ubuntu Wily):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package whoopsie - 0.2.24.6ubuntu2

---------------
whoopsie (0.2.24.6ubuntu2) trusty-proposed; urgency=medium

  * src/whoopsie.c: Send UnreportableReason to the Error Tracker that way we
    know apport's opinion of the crash. (LP: #1382233)

 -- Brian Murray <email address hidden> Mon, 09 Nov 2015 13:24:00 -0800

Changed in whoopsie (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package whoopsie-daisy - 0.1.34.1

---------------
whoopsie-daisy (0.1.34.1) precise-proposed; urgency=medium

  * src/whoopsie.c: Move UnreportableReason from fields we don't send to
    errors to fields we do, that way we know apport's opinion of the crash.
    (LP: #1382233)

 -- Brian Murray <email address hidden> Mon, 09 Nov 2015 13:34:23 -0800

Changed in whoopsie-daisy (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers